CognitiveX Docs
API

POST /api/orgs/{org_id}/keys

Create Key

POST /api/orgs/{org_id}/keys

Create Key

Authentication: Authorization: Bearer <key> or X-API-Key: <key>. Create keys at developers.cognitivx.io/keys.

Parameters

NameInTypeRequiredDescription
org_idpathstringYes-
X-Org-IDheaderstring | nullNo-

Request body

A JSON request body is required.

FieldTypeRequiredDescription
namestringYes-

Example request

curl -X POST https://api.cognitivx.io/api/orgs/{org_id}/keys \
  -H "Authorization: Bearer icog_..." \
  -H "Content-Type: application/json" \
  -d '{
    "name": "production"
  }'

Example response

201 application/json

{
  "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "name": "production",
  "key_prefix": "string",
  "created_at": "2026-06-16T08:30:00Z",
  "last_used_at": "2026-06-16T08:30:00Z",
  "created_by_email": "[email protected]",
  "request_count": 0,
  "requests_30d": 0,
  "key": null
}

Responses

StatusDescription
201Created. The new resource is returned in the response body.
422Request validation failed. detail lists each offending field.